<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'lead_capture_page',

    /*
     * Modules.
     */
    'modules'   => ['lead_capture_page'],

    
    'lead_capture_page'       => [
        'model' => [
            'model'                 => \Litecms\LeadCapturePage\Models\LeadCapturePage::class,
            'table'                 => 'lead_capture_pages',
            'presenter'             => \Litecms\LeadCapturePage\Repositories\Presenter\LeadCapturePagePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['page_name',  'page_slug_name',  'meta_key',  'meta_content',  'page_link',  'source_file',  'page_status'],
            'translatables'         => [],
            'upload_folder'         => 'lead_capture_page/lead_capture_page',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'LeadCapturePage',
            'module'    => 'LeadCapturePage',
        ],

    ],
];
