<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateLeadCapturePagesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: lead_capture_pages
         */
        Schema::create('lead_capture_pages', function ($table) {
            $table->increments('id');
            $table->text('page_name')->nullable();
            $table->text('page_slug_name')->nullable();
            $table->text('meta_key')->nullable();
            $table->text('meta_content')->nullable();
            $table->text('page_link')->nullable();
            $table->text('source_file')->nullable();
            $table->integer('page_status')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('lead_capture_pages');
    }
}
