Lavalite package that provides lead_capture_page management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/lead_capture_page`.

    "litecms/lead_capture_page": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\LeadCapturePage\Providers\LeadCapturePageServiceProvider::class,

And also add it to alias

    'LeadCapturePage'  => Litecms\LeadCapturePage\Facades\LeadCapturePage::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\LeadCapturePageTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\LeadCapturePage\Providers\LeadCapturePageServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\LeadCapturePage\Providers\LeadCapturePageServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\LeadCapturePage\Providers\LeadCapturePageServiceProvider" --tag="view"


## Usage


