<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for lead_capture_page in lead_capture_page package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  lead_capture_page module in lead_capture_page package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'LeadCapturePage',
    'names'         => 'LeadCapturePages',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'LeadCapturePages',
        'sub'   => 'LeadCapturePages',
        'list'  => 'List of lead_capture_pages',
        'edit'  => 'Edit lead_capture_page',
        'create'    => 'Create new lead_capture_page'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'page_name'                  => 'page name',
        'page_slug_name'             => 'page slug name ',
        'meta_key'                   => 'meta key',
        'meta_content'               => 'meta content',
        'page_link'                  => 'page link',
        'source_file'                => 'source_file',
        'page_status'                => 'page_status',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'page_name'                  => 'Page Name',
        'page_slug_name'             => 'Page Slug Name',
        'meta_key'                   => 'Meta Key',
        'meta_content'               => 'Meta Content',
        'page_link'                  => 'Page Link',
        'source_file'                => 'Source File',
        'page_status'                => 'Page Status',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'page_name'                  => ['name' => 'Page Name', 'data-column' => 1, 'checked'],
        'page_slug_name'             => ['name' => 'Page Slug Name', 'data-column' => 2, 'checked'],
        'meta_key'                   => ['name' => 'Meta Key', 'data-column' => 3, 'checked'],
        'meta_content'               => ['name' => 'Meta Content', 'data-column' => 4, 'checked'],
        'page_link'                  => ['name' => 'Page Link', 'data-column' => 5, 'checked'],
        'source_file'                => ['name' => 'Source File', 'data-column' => 6, 'checked'],
        'page_status'                => ['name' => 'Page Status', 'data-column' => 7, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'LeadCapturePages',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
