<?php

namespace Litecms\LeadCapturePage\Repositories\Eloquent;

use Litecms\LeadCapturePage\Interfaces\LeadCapturePageRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class LeadCapturePageRepository extends BaseRepository implements LeadCapturePageRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('litecms.lead_capture_page.lead_capture_page.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.lead_capture_page.lead_capture_page.model.model');
    }
}
