            <div class='row'>
                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('page_name')
                       -> label(trans('lead_capture_page::lead_capture_page.label.page_name'))
                       -> required()
                       -> placeholder(trans('lead_capture_page::lead_capture_page.placeholder.page_name'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('page_slug_name')
                       -> label(trans('lead_capture_page::lead_capture_page.label.page_slug_name'))
                       -> required()
                       -> placeholder(trans('lead_capture_page::lead_capture_page.placeholder.page_slug_name'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('meta_key')
                       -> label(trans('lead_capture_page::lead_capture_page.label.meta_key'))
                       -> required()
                       -> placeholder(trans('lead_capture_page::lead_capture_page.placeholder.meta_key'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('meta_content')
                       -> label(trans('lead_capture_page::lead_capture_page.label.meta_content'))
                       -> required()
                       -> placeholder(trans('lead_capture_page::lead_capture_page.placeholder.meta_content'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::url('page_link')
                       -> label(trans('lead_capture_page::lead_capture_page.label.page_link'))
                       -> required()
                       -> placeholder(trans('lead_capture_page::lead_capture_page.placeholder.page_link'))!!}
                </div>

                <div class='col-md-12 col-sm-12'>
                    <div class="form-group">
                        <label for="file" class="control-label col-lg-12 col-sm-12 text-left"> {{trans('lead_capture_page::lead_capture_page.label.source_file') }}
                        </label>
                        <div class='col-lg-3 col-sm-12'>
                            {!! $lead_capture_page->files('file')
                            ->mime(config('filer.allowed_extensions'))
                            ->url($lead_capture_page->getUploadUrl('file'))
                            ->dropzone()!!}
                        </div>
                        <div class='col-lg-7 col-sm-12'>
                            {!! $lead_capture_page
                            ->files('file')
                            ->editor()!!}
                        </div>
                    </div>
                </div>
                <div class='col-md-4 col-sm-6'>
                   {!! Form::inline_radios('page_status')
                   -> radios(trans('lead_capture_page::lead_capture_page.options.page_status'))
                   -> required()
                   -> label(trans('lead_capture_page::lead_capture_page.label.page_status'))!!}
                </div>
            </div>